> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calculate the discounts for a specified basket



## OpenAPI

````yaml openapi/pos-discount-v1.json POST /v1/discounted-baskets
openapi: 3.0.4
info:
  title: Discount API 1.0
  version: '1.0'
servers:
  - url: https://{host}/pos-discount
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security: []
paths:
  /v1/discounted-baskets:
    post:
      tags:
        - Service2Service
      summary: Calculate the discounts for a specified basket
      operationId: POST Discount/CalculateBasketDiscounts
      parameters:
        - name: offerTypes
          in: query
          description: List of Offer types to consider during discount calculation
          schema:
            type: array
            items:
              type: string
        - name: excludedOfferTypes
          in: query
          description: List of Offer types to exclude during discount calculation
          schema:
            type: array
            items:
              type: string
        - name: skipReservation
          in: query
          description: >-
            When set tot true, coupons that granted discount/bonus will not be
            reserved
          schema:
            type: boolean
        - name: preserveExternalDiscounts
          in: query
          description: >-
            When set, controls whether external discounts are preserved in the
            response, overriding the PreserveExternalDiscounts feature flag
          schema:
            type: boolean
      requestBody:
        description: The specified basket that the discounts need to be calculated for.
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Discount.Contracts.Requests.BasketCalculateDiscountRequest
            examples:
              Calculate discounts for anonymous basket:
                value:
                  id: 470b553e-9457-46c8-89dc-574def394dc4
                  storeId: '475'
                  total: 650
                  lineItems:
                    - id: 829a834a-420a-48ed-ae98-a3232a59be02
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 87e1887d-e747-46de-a653-603494e2b78e
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: c06b2a38-16a6-4e6b-b8fc-4f39fd7e093d
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: a108cb6d-8c5f-4f7d-93ff-3f0f2005a5df
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket:
                value:
                  id: 875ad300-f312-467a-800e-7295944a42e2
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: ffcff7e0-a0dd-4e72-83a7-9d14fa35effc
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 6552a844-774c-4abb-9fc4-c4d3713bef1f
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: b7ef8d71-89cc-469f-9a43-4f87db00087a
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: 4179237e-c07c-4663-9995-069c06b31750
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket with membership discount:
                value:
                  id: d80b57d3-1fce-449b-beab-ebafaad8a6dc
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13d14b8f-6155-4f43-b8f7-0359f2f9aa85
                      barcode: '5700123969094'
                      quantity: 1
                      sequenceNumber: 1
                      totalSalePrice: 100
                      product:
                        id: 4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts:
                    - appliedLineItems:
                        4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d: 2
                      id: 83e201e4-291b-4986-8d75-f1947e9a32b4
                      couponIds:
                        - d18f19cd-b101-4408-8868-dbf5fdfe33d7
                      description: Membership discount
                      fundedBy: ''
                      value: 2
                      applicationsNumber: 0
                  coupons: []
              Calculate discounts for customer basket with coupons:
                value:
                  id: f0d24d27-e167-48a1-b7e9-0630a7a7296a
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13a4f51e-07ac-462d-8b96-258daad7e71a
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: ef79eadc-7d2b-462f-9fe3-920a740d68ea
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons:
                    - couponId: b69055e0-6895-47d7-bfc6-0b9c011d292a
                      barcode: '234578114645'
                      sequenceNumber: 1
                      description: Super sale
                      campaignId: CMP24
                      expiryDate: '2026-09-10T00:00:00+00:00'
                      dateToPickUp: '2026-09-10T00:00:00+00:00'
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Discount.Contracts.Requests.BasketCalculateDiscountRequest
            examples:
              Calculate discounts for anonymous basket:
                value:
                  id: 470b553e-9457-46c8-89dc-574def394dc4
                  storeId: '475'
                  total: 650
                  lineItems:
                    - id: 829a834a-420a-48ed-ae98-a3232a59be02
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 87e1887d-e747-46de-a653-603494e2b78e
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: c06b2a38-16a6-4e6b-b8fc-4f39fd7e093d
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: a108cb6d-8c5f-4f7d-93ff-3f0f2005a5df
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket:
                value:
                  id: 875ad300-f312-467a-800e-7295944a42e2
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: ffcff7e0-a0dd-4e72-83a7-9d14fa35effc
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 6552a844-774c-4abb-9fc4-c4d3713bef1f
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: b7ef8d71-89cc-469f-9a43-4f87db00087a
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: 4179237e-c07c-4663-9995-069c06b31750
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket with membership discount:
                value:
                  id: d80b57d3-1fce-449b-beab-ebafaad8a6dc
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13d14b8f-6155-4f43-b8f7-0359f2f9aa85
                      barcode: '5700123969094'
                      quantity: 1
                      sequenceNumber: 1
                      totalSalePrice: 100
                      product:
                        id: 4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts:
                    - appliedLineItems:
                        4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d: 2
                      id: 83e201e4-291b-4986-8d75-f1947e9a32b4
                      couponIds:
                        - d18f19cd-b101-4408-8868-dbf5fdfe33d7
                      description: Membership discount
                      fundedBy: ''
                      value: 2
                      applicationsNumber: 0
                  coupons: []
              Calculate discounts for customer basket with coupons:
                value:
                  id: f0d24d27-e167-48a1-b7e9-0630a7a7296a
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13a4f51e-07ac-462d-8b96-258daad7e71a
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: ef79eadc-7d2b-462f-9fe3-920a740d68ea
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons:
                    - couponId: b69055e0-6895-47d7-bfc6-0b9c011d292a
                      barcode: '234578114645'
                      sequenceNumber: 1
                      description: Super sale
                      campaignId: CMP24
                      expiryDate: '2026-09-10T00:00:00+00:00'
                      dateToPickUp: '2026-09-10T00:00:00+00:00'
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Discount.Contracts.Requests.BasketCalculateDiscountRequest
            examples:
              Calculate discounts for anonymous basket:
                value:
                  id: 470b553e-9457-46c8-89dc-574def394dc4
                  storeId: '475'
                  total: 650
                  lineItems:
                    - id: 829a834a-420a-48ed-ae98-a3232a59be02
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 87e1887d-e747-46de-a653-603494e2b78e
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: c06b2a38-16a6-4e6b-b8fc-4f39fd7e093d
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: a108cb6d-8c5f-4f7d-93ff-3f0f2005a5df
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket:
                value:
                  id: 875ad300-f312-467a-800e-7295944a42e2
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: ffcff7e0-a0dd-4e72-83a7-9d14fa35effc
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: 6552a844-774c-4abb-9fc4-c4d3713bef1f
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                    - id: b7ef8d71-89cc-469f-9a43-4f87db00087a
                      barcode: '5700123969095'
                      quantity: 3
                      sequenceNumber: 2
                      totalSalePrice: 450
                      product:
                        id: 4179237e-c07c-4663-9995-069c06b31750
                        displayName: Orange
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 150
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons: []
              Calculate discounts for customer basket with membership discount:
                value:
                  id: d80b57d3-1fce-449b-beab-ebafaad8a6dc
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13d14b8f-6155-4f43-b8f7-0359f2f9aa85
                      barcode: '5700123969094'
                      quantity: 1
                      sequenceNumber: 1
                      totalSalePrice: 100
                      product:
                        id: 4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts:
                    - appliedLineItems:
                        4d0e1b6f-3cd6-4517-8a8b-4bd3bd95da6d: 2
                      id: 83e201e4-291b-4986-8d75-f1947e9a32b4
                      couponIds:
                        - d18f19cd-b101-4408-8868-dbf5fdfe33d7
                      description: Membership discount
                      fundedBy: ''
                      value: 2
                      applicationsNumber: 0
                  coupons: []
              Calculate discounts for customer basket with coupons:
                value:
                  id: f0d24d27-e167-48a1-b7e9-0630a7a7296a
                  storeId: '475'
                  customer:
                    id: '12396909'
                    barcode: '2900123969094'
                  total: 650
                  lineItems:
                    - id: 13a4f51e-07ac-462d-8b96-258daad7e71a
                      barcode: '5700123969094'
                      quantity: 2
                      sequenceNumber: 1
                      totalSalePrice: 200
                      product:
                        id: ef79eadc-7d2b-462f-9fe3-920a740d68ea
                        displayName: Banana
                        categoryId: '1'
                        category: Fruits
                        taxCode: A
                        salePrice: 100
                        unitOfMeasure: Piece
                        units: 1
                  discounts: []
                  coupons:
                    - couponId: b69055e0-6895-47d7-bfc6-0b9c011d292a
                      barcode: '234578114645'
                      sequenceNumber: 1
                      description: Super sale
                      campaignId: CMP24
                      expiryDate: '2026-09-10T00:00:00+00:00'
                      dateToPickUp: '2026-09-10T00:00:00+00:00'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Discount.Contracts.Responses.BasketCalculateDiscountResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Discount.Contracts.Responses.BasketCalculateDiscountResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Discount.Contracts.Responses.BasketCalculateDiscountResponse
components:
  schemas:
    Discount.Contracts.Requests.BasketCalculateDiscountRequest:
      type: object
      properties:
        id:
          type: string
          description: The basket identifier
          nullable: true
        storeId:
          type: string
          description: The store identifier
          nullable: true
        customer:
          $ref: '#/components/schemas/Discount.Contracts.Requests.Customer'
        checkoutType:
          type: string
          description: |-
            The checkout type used during the purchase.
            If provided, only discounts matching this type will be considered.
          nullable: true
        purchaseTime:
          type: string
          description: >-
            Time when purchase was made.

            If provided, coupons avaialble at that time will be retrieved
            instead of currently available coupons
          format: date-time
          nullable: true
        total:
          type: number
          description: The basket total
          format: double
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.DiscountedLineItem'
          description: The basket line items
          nullable: true
        discounts:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.BasketLevelDiscount'
          description: The set of basket-level discounts
          nullable: true
        coupons:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.Coupon'
          description: The set of coupons associated with basket-level discounts
          nullable: true
      additionalProperties: false
      description: The current basket state
    Discount.Contracts.Responses.BasketCalculateDiscountResponse:
      type: object
      properties:
        id:
          type: string
          description: The basket identifier
          nullable: true
        total:
          type: number
          description: The initial basket total
          format: double
        finalTotal:
          type: number
          description: The updated basket total (after discounts have been applied)
          format: double
        lineItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/Discount.Contracts.Responses.ExtendedDiscountLineItem
          description: The set of line items associated with the current basket
          nullable: true
        discounts:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.BasketLevelDiscount'
          description: The set of basket-level discounts associated with the current basket
          nullable: true
        bonuses:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.BasketLevelDiscount'
          description: The set of basket-level bonuses associated with the current basket
          nullable: true
        coupons:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.Coupon'
          description: The set of coupons associated with the basket-level discounts
          nullable: true
      additionalProperties: false
      description: >-
        Represents an updated basket state with the currently applicable
        discounts and their calculations
    Discount.Contracts.Requests.Customer:
      type: object
      properties:
        id:
          type: string
          description: The customer identifier
          nullable: true
        barcode:
          type: string
          description: The barcode associated with the customer identifier
          nullable: true
      additionalProperties: false
      description: Represents the customer associated with the basket
    Discount.Contracts.Common.DiscountedLineItem:
      type: object
      properties:
        id:
          type: string
          description: The line item identifier
          nullable: true
        parentId:
          type: string
          description: The parent line item identifier
          nullable: true
        linkType:
          $ref: >-
            #/components/schemas/Discount.Contracts.Common.DiscountedLineItemLinkType
        barcode:
          type: string
          description: The line item scanned barcode
          nullable: true
        quantity:
          type: number
          description: The line item quantity
          format: double
        sequenceNumber:
          type: integer
          description: The line item sequence number within the basket
          format: int32
        totalSalePrice:
          type: number
          description: The total sale price for the current line item
          format: double
        product:
          $ref: >-
            #/components/schemas/Discount.Contracts.Common.DiscountedLineItem.DiscountProduct
        discounts:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.LineItemDiscount'
          description: The set of discounts applied on the current line item
          nullable: true
        coupons:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.Coupon'
          description: The set of coupons used to trigger discounts
          nullable: true
      additionalProperties: false
      description: Represents a basket line item
    Discount.Contracts.Common.BasketLevelDiscount:
      type: object
      properties:
        id:
          type: string
          description: The discount identifier
          nullable: true
        couponId:
          type: string
          description: >-
            The coupon identifier linked to the discount, or empty if no coupon
            is available.

            This Field is obsolete. Use the CouponIds collection instead
          nullable: true
          deprecated: true
        couponIds:
          type: array
          items:
            type: string
          description: >-
            The coupons identifiers linked to the discount, or empty if no
            coupon is available
          nullable: true
        description:
          type: string
          description: The discount description
          nullable: true
        fundedBy:
          type: string
          nullable: true
        value:
          type: number
          description: The discount value
          format: double
        applicationsNumber:
          type: number
          description: How many times the discount was applied
          format: double
        rewardRedeemableFrom:
          type: string
          description: >-
            The date and time when the granted benefit becomes available for
            use.

            Can be used only for Bonus benefits.
          format: date-time
          nullable: true
        rewardRedeemableTo:
          type: string
          description: >-
            The exact date and time when the granted benefit expires if not
            used.

            Can be used only for Bonus benefits.
          format: date-time
          nullable: true
        appliedLineItems:
          type: object
          additionalProperties:
            type: number
            format: double
          description: >-
            The set of line item identifiers that the basket-level discount was
            applied on
          nullable: true
      additionalProperties: false
      description: Represents a basket-level discount
    Discount.Contracts.Common.Coupon:
      type: object
      properties:
        couponId:
          type: string
          description: The coupon identifier
          nullable: true
        barcode:
          type: string
          description: The coupon barcode
          nullable: true
        sequenceNumber:
          type: integer
          description: The sequence number of the current coupon
          format: int32
        description:
          type: string
          description: The coupon description
          nullable: true
        value:
          type: number
          description: The coupon value
          format: double
          nullable: true
        campaignId:
          type: string
          description: The campaign id associated with the coupon or empty if unavailable
          nullable: true
        expiryDate:
          type: string
          description: The coupon expiry date
          format: date-time
          nullable: true
        dateToPickUp:
          type: string
          description: Coupon expiry date
          format: date-time
          nullable: true
          readOnly: true
          deprecated: true
      additionalProperties: false
      description: Represents a basket or line item coupon
    Discount.Contracts.Responses.ExtendedDiscountLineItem:
      type: object
      properties:
        id:
          type: string
          description: The line item identifier
          nullable: true
        parentId:
          type: string
          description: The parent line item identifier
          nullable: true
        linkType:
          $ref: >-
            #/components/schemas/Discount.Contracts.Common.DiscountedLineItemLinkType
        barcode:
          type: string
          description: The line item scanned barcode
          nullable: true
        quantity:
          type: number
          description: The line item quantity
          format: double
        sequenceNumber:
          type: integer
          description: The line item sequence number within the basket
          format: int32
        totalSalePrice:
          type: number
          description: The total sale price for the current line item
          format: double
        product:
          $ref: >-
            #/components/schemas/Discount.Contracts.Common.DiscountedLineItem.DiscountProduct
        discounts:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.LineItemDiscount'
          description: The set of discounts applied on the current line item
          nullable: true
        coupons:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.Coupon'
          description: The set of coupons used to trigger discounts
          nullable: true
        finalTotalSalePrice:
          type: number
          description: The updated total sale price (after discounts have been applied)
          format: double
          nullable: true
        bonusTotalAmount:
          type: number
          description: The total bonus amount for item
          format: double
        bonuses:
          type: array
          items:
            $ref: '#/components/schemas/Discount.Contracts.Common.LineItemDiscount'
          description: The set of bonuses applied on the current line item
          nullable: true
      additionalProperties: false
      description: Represents a discounted line item
    Discount.Contracts.Common.DiscountedLineItemLinkType:
      enum:
        - Unknown
        - Deposit
        - Hamper
      type: string
      description: Represents link type between line items
    Discount.Contracts.Common.DiscountedLineItem.DiscountProduct:
      type: object
      properties:
        id:
          type: string
          description: The product identifier
          nullable: true
        displayName:
          type: string
          description: The product display name
          nullable: true
        categoryIds:
          type: array
          items:
            type: string
          description: The product hierarchy of category ids
          nullable: true
        categoryId:
          type: string
          description: The product category id
          nullable: true
          deprecated: true
        category:
          type: string
          description: The product category name
          nullable: true
        taxCode:
          type: string
          description: The product tax code
          nullable: true
        ageRequirement:
          type: integer
          description: Indicates whether there product has any age restrictions
          format: int32
          nullable: true
        salePrice:
          type: number
          description: The product unit sale price
          format: double
        unitOfMeasure:
          type: string
          description: The product unit of measure
          nullable: true
        units:
          type: number
          description: The number of units for the specified product
          format: double
          nullable: true
        depositItem:
          $ref: >-
            #/components/schemas/Discount.Contracts.Common.DiscountedLineItem.DiscountProduct.DiscountDepositItem
        hamperItems:
          type: array
          items:
            $ref: >-
              #/components/schemas/Discount.Contracts.Common.DiscountedLineItem.DiscountProduct.DiscountHamperItem
          description: The set of hamper items, if any
          nullable: true
      additionalProperties: false
      description: Represents a product that can be associated with a line item
    Discount.Contracts.Common.LineItemDiscount:
      type: object
      properties:
        id:
          type: string
          description: The discount identifier
          nullable: true
        couponId:
          type: string
          description: >-
            The coupon identifier linked to the discount, or empty if no coupon
            is available.

            This Field is obsolete. Use the CouponIds collection instead
          nullable: true
          deprecated: true
        couponIds:
          type: array
          items:
            type: string
          description: >-
            The coupons identifiers linked to the discount, or empty if no
            coupon is available
          nullable: true
        description:
          type: string
          description: The discount description
          nullable: true
        fundedBy:
          type: string
          nullable: true
        value:
          type: number
          description: The discount value
          format: double
        applicationsNumber:
          type: number
          description: How many times the discount was applied
          format: double
        rewardRedeemableFrom:
          type: string
          description: >-
            The date and time when the granted benefit becomes available for
            use.

            Can be used only for Bonus benefits.
          format: date-time
          nullable: true
        rewardRedeemableTo:
          type: string
          description: >-
            The exact date and time when the granted benefit expires if not
            used.

            Can be used only for Bonus benefits.
          format: date-time
          nullable: true
      additionalProperties: false
      description: Represents a line item discount
    Discount.Contracts.Common.DiscountedLineItem.DiscountProduct.DiscountDepositItem:
      type: object
      properties:
        id:
          type: string
          description: The product identifier
          nullable: true
        displayName:
          type: string
          description: The product display name
          nullable: true
        categoryId:
          type: string
          description: The product category id
          nullable: true
        category:
          type: string
          description: The product category name
          nullable: true
        taxCode:
          type: string
          description: The product tax code
          nullable: true
        ageRequirement:
          type: integer
          description: Indicates whether there product has any age restrictions
          format: int32
          nullable: true
        salePrice:
          type: number
          description: The product unit sale price
          format: double
        unitOfMeasure:
          type: string
          description: The product unit of measure
          nullable: true
        units:
          type: number
          description: The number of units for the specified product
          format: double
          nullable: true
      additionalProperties: false
      description: Represents a product used as deposit item or empty
    Discount.Contracts.Common.DiscountedLineItem.DiscountProduct.DiscountHamperItem:
      type: object
      properties:
        id:
          type: string
          description: The product identifier
          nullable: true
        displayName:
          type: string
          description: The product display name
          nullable: true
        categoryId:
          type: string
          description: The product category id
          nullable: true
        category:
          type: string
          description: The product category name
          nullable: true
        taxCode:
          type: string
          description: The product tax code
          nullable: true
        ageRequirement:
          type: integer
          description: Indicates whether there product has any age restrictions
          format: int32
          nullable: true
        salePrice:
          type: number
          description: The product unit sale price
          format: double
        unitOfMeasure:
          type: string
          description: The product unit of measure
          nullable: true
        units:
          type: number
          description: The number of units for the specified product
          format: double
          nullable: true
      additionalProperties: false
      description: Represents a hamper item

````